Lompat ke konten

Kling 4.0 Text to Video

Integrasikan

ID model kling/v4/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

File seperti contoh: $1,175 1.175 kredit API file Anda diukur sebelum dijalankan Jalankan di halaman ini

Dapatkan kunci API
Kling Teks ke Video 3–30 dtkhingga 1080p #text-to-video#multi-shot#cinematic#kling

Pembuatan video hanya dari teks dengan prompt per pengambilan gambar opsional, klip berdurasi 3 hingga 30 detik pada 720p atau 1080p

Dibuat di Doitong

Karya publik yang dibuat dengan Kling 4.0 oleh komunitas Doitong. Gunakan kembali prompt dengan satu klik.

Karya publik yang ditampilkan: 16
**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе... Video

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе с панорамными окнами. Внутри деревянный интерьер, мягкие диваны и живые цветы. Они садятся за столик, перед ними стоят дымящиеся чашки чая. Мягкий свет ламп создает уют. Средний план, уровень глаз. (...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты вн... Video

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты внешности, возраст, причёски и одежду. Мужчины слегка поворачивают головы, естественно моргают и едва заметно улыбаются. Женщина слева спокойно смотрит в камеру и мягко моргает. Маленький ребёнок слегка...

A five-second orbital camera move circling completely around a red-haired woman in a yellow rainc... Video

A five-second orbital camera move circling completely around a red-haired woman in a yellow raincoat standing in an autumn forest holding a vintage lantern, she remains stationary facing forward while the camera circles 180 degrees from her left side to her right side at eye level, golden fallen...

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a w... Video

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a wooden cutting board in a bright kitchen, camera suddenly swings in a rapid blur motion panning right at high speed creating motion blur, ending sharply focused on a barista pouring latte art in a...

Buat permintaan

Kontrol dibuat dari skema model. Kode dan harga diperbarui saat Anda mengubahnya.

88 / 2500

Instruksi teks untuk pembuatan; sediakan `prompt` atau `multi_prompt`.

resolution bawaan 1080p

Resolusi output.

aspect_ratio bawaan 16:9

Rasio aspek video hasil.

bawaan 5

Durasi video dalam detik, dari 3 hingga 30.

Lanjutan multi_prompt

Instruksi pembuatan per shot, dengan setiap prompt menentukan satu shot yang durasinya berkontribusi pada total durasi video.

POST /run/kling/v4/text-to-video?wait=20 estimasi harga → $1,175
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling/v4/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Jalankan permintaan ini

Key Anda tetap berada di browser ini: key hanya dikirim ke Doitong API dan disimpan (localStorage) hanya jika Anda mencentang Ingat. Dapatkan kunci API

Tentang Kling 4.0 Text to Video

Membuat video dari prompt teks hingga 2500 karakter, tanpa input gambar atau video. Sebagai alternatif, `multi_prompt` menyediakan satu prompt per pengambilan gambar untuk klip multi-pengambilan, dan durasi total adalah jumlah durasi setiap pengambilan gambar. `duration` berkisar antara 3 hingga 30 detik dengan default 5. Resolusi dapat berupa 720p atau 1080p, dan `aspect_ratio` dapat berupa 16:9, 9:16, 1:1, atau 21:9.

Parameter

NamaTipe BawaanDiizinkan Deskripsi
promptopsional
Tipestring | null
≤ 2.500 karakter
Instruksi teks untuk pembuatan; sediakan `prompt` atau `multi_prompt`.
multi_promptopsional
Tipeobject[]
Instruksi pembuatan per shot, dengan setiap prompt menentukan satu shot yang durasinya berkontribusi pada total durasi video.
multi_prompt[].promptwajib
Tipestring
1 – 512 characters
Instruksi teks untuk shot saat ini.
multi_prompt[].durationopsional
Tipeinteger
Bawaan5
1 – 30
Durasi satu shot, diukur dalam detik.
durationopsional
Tipeinteger
Bawaan5
3 – 30
Durasi video dalam detik, dari 3 hingga 30.
resolutionopsional
Tipeenum
Bawaan1080p
720p1080p
Resolusi output.
aspect_ratioopsional
Tipeenum
Bawaan16:9
16:99:161:121:9
Rasio aspek video hasil.
wajib

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling/v4/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1175,
    "usd": "1.175",
    "charged": 1175,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
File Anda, pilihan AndaSetiap outputs[].url adalah salinan di penyimpanan kami: disimpan selamanya (dikenai biaya per GB-bulan) atau 7 hari gratis, sesuai setelan akun atau ?storage=.
Struktur sama di setiap modeltype, url, content_type, width, height, dan duration, untuk gambar, video, dan audio. output adalah objek hasil milik model.
Field output
video
object {url, content_type, file_name, file_size}Video yang dihasilkan model.

Model lainnya: Teks ke Video

Untuk agen AI: halaman ini dalam Markdown tersedia di https://doitong.com/id/developers/models/kling/v4/text-to-video.md. Semua model dan panduan: https://doitong.com/developers/llms.txt